package com.ibm.mq.data;

/**
 * This class is an object for AMQ Message Number.  
 *
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0.0
 * @license Apache 2 License
 */
public class AMQMessageNumber
{
   private int number;
   private String header;
   private String explanation;
   private String severity;
   private String response;
   
   /**
    * The construct
    * @param number
    * @param header
    * @param severity
    * @param explanation
    * @param response
    */
   public AMQMessageNumber(int number, String header, String severity, String explanation, String response)
   {
      super();
      
      this.number = number;
      this.header = header;
      this.severity = severity;
      this.explanation = explanation;
      this.response = response;
   }
   
   /**
    * Retrieve the AMQ Message Number.
    * @return number
    */
   public int getNumber()
   {
      return number;
   }
   
   /**
    * Retrieve the header for a particular AMQ Message Number.
    * @return header
    */
   public String getHeader()
   {
      return header;
   }
   
   /**
    * Retrieve the severity for a particular AMQ Message Number.
    * @return severity
    */
   public String getSeverity()
   {
      return severity;
   }
   
   /**
    * Retrieve the explanation for a particular AMQ Message Number.
    * @return explanation
    */
   public String getExplanation()
   {
      return explanation;
   }
   
   /**
    * Retrieve the response for a particular AMQ Message Number.
    * @return response
    */
   public String getResponse()
   {
      return response;
   }
}
